package gus05.manager.gus.endorf.layer2;

import java.util.Date;

import gus05.framework.features.Execute;
import gus05.manager.gus.endorf.layer1.organs.AppLauncher;


public class Impl_AppLauncher implements AppLauncher {

    private Execute app;
    public Impl_AppLauncher(Execute app) {this.app = app;}
    
    
    public void launchApp(Object appObject, Date startDate, String appName, String[] args)
    {
        EndorfSystem.init(appObject,startDate,appName,args);
        executeApp();
    }
    
    private void executeApp()
    {
        try{app.execute();}
        catch(Exception e)
        {
            EndorfSystem.printError(this,"executeApp()",e);
            EndorfSystem.FATAL_ERROR(this,"executeApp()",e.toString());
        }
    }
}
