package gus05.manager.gus.endorf.layer3.loading;

import gus05.manager.gus.endorf.layer3.system1.System1;
import gus05.manager.gus.endorf.layer3.tools.Tools_debug;
import gus05.manager.gus.endorf.layer3.tools.Tools_file;

import java.io.File;


public class Loader_start extends Loader {

    
    
    public Loader_start()
    {super("starts");}
    
    
    protected void insideLoad()
    {
        try
        {
            String text = insideTxt("start");
            if(text==null) return;
            
            String[] array = text.split("[\n\r]+");
            putStart(array);
            debug("insideLoad()","load "+array.length+" starts from inside");
        }
        catch(Exception e)
        {System1.printError(this,"insideLoad()",e);}
    }
    
    
    
    
    
    protected void outsideLoad()
    {
        try
        {           
            File f = outsideFile(System1.PATH_STARTFILE);
            if(f==null) return;
            
            String[] array = Tools_file.readLines(f);
            putStart(array);
            
            debug("outsideLoad()","load "+array.length+" starts from: "+f.getAbsolutePath());
        }
        catch(Exception e)
        {System1.printError(this,"outsideLoad()",e);}
    }
    
    
    
    private void putStart(String[] array)
    {
        for(int i=0;i<array.length;i++)
        System1.startList.add(array[i]);
        debug(array);
        increase(array.length);
    }
    
    
    
    private void debug(String[] a)
    {
        if(System1.booleanProperty_false(System1.PROPKEY_DEBUGSTART))
            Tools_debug.displayStringArray("from Loader_start",a);
    }
    
}
