/*
 * Framework gus04
 * 
 * Copyright (C) 2005 (Augustin Delale)
 * Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes
 * de la Licence Publique Gnrale GNU publie par la Free Software Foundation (version 2
 * ou bien toute autre version ultrieure choisie par vous).
 * 
 * Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE, 
 * ni explicite ni implicite, y compris les garanties de commercialisation ou d'adaptation
 * dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU pour plus de dtails.
 * 
 * Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme temps que ce programme ;
 * si ce n'est pas le cas, crivez  la Free Software Foundation, Inc., 59 Temple Place, Suite 330,
 * Boston, MA 02111-1307, tats-Unis. 
 */
package gus05.entity.gus.graphic.persistence.persistence1;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Register;

import javax.swing.AbstractButton;
import javax.swing.JComboBox;
import javax.swing.JFileChooser;
import javax.swing.JList;
import javax.swing.JTabbedPane;
import javax.swing.JTable;
import javax.swing.text.JTextComponent;


/**
 * @author user
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public class Persistence1 implements Entity, Register {

    public String getName()				{return "gus.graphic.persistence.persistence1";}
    public String getCreationDate()		{return "2006.07.08";}

    
    
    private Service pers;
    
    public Persistence1() throws Exception
    {pers = Outside.service(this,"app.pers");}

	
	
	
    public void register(String key, Object obj) throws Exception
    {
        if(obj instanceof AbstractButton)
        {register_AbtractButton(key,(AbstractButton)obj);return;}
        if(obj instanceof JComboBox)
        {register_JComboBox(key,(JComboBox)obj);return;}
        if(obj instanceof JList)
        {register_JList(key,(JList)obj);return;}
        if(obj instanceof JTabbedPane)
        {register_JTabbedPane(key,(JTabbedPane)obj);return;}
        if(obj instanceof JTextComponent)
        {register_JTextComponent(key,(JTextComponent)obj);return;}
        if(obj instanceof JTable)
        {register_JTable(key,(JTable)obj);return;}
        if(obj instanceof JFileChooser)
        {register_JFileChooser(key,(JFileChooser)obj);return;}
    }
    
    
    
    
    private void register_AbtractButton(String key, AbstractButton button) throws Exception
    {new Persistence_AbstractButton(pers,key,button);}
    
    private void register_JComboBox(String key, JComboBox combo) throws Exception
    {new Persistence_JComboBox(pers,key,combo);}
    
    private void register_JList(String key, JList list) throws Exception
    {new Persistence_JList(pers,key,list);}
    
    private void register_JTabbedPane(String key, JTabbedPane tabbedPane) throws Exception
    {new Persistence_JTabbedPane(pers,key,tabbedPane);}
    
    private void register_JTextComponent(String key, JTextComponent comp) throws Exception
    {new Persistence_JTextComponent(pers,key,comp);}
    
    private void register_JTable(String key, JTable table) throws Exception
    {new Persistence_JTable(pers,key,table);}
    
    private void register_JFileChooser(String key, JFileChooser fileChooser) throws Exception
    {new Persistence_JFileChooser(pers,key,fileChooser);}
    
}
