package gus05.manager.gus.endorf.layer2;

import gus05.framework.features.Execute;
import gus05.manager.gus.endorf.layer1.EndorfBatch;
import gus05.manager.gus.endorf.layer1.organs.*;


public abstract class EndorfBatch2 extends EndorfBatch implements Execute {
    
    protected EndorfBatch2(String[] args) {super(args);}
    
    protected KeyFinder buildKeyFinder()                {return new Impl_KeyFinder();}
    protected ServiceWrapper buildServiceWrapper()      {return new Impl_ServiceWrapper();}
    protected ResourceProvider buildResourceProvider()  {return new Impl_ResourceProvider();}
    protected ErrorHandler buildErrorHandler()          {return new Impl_ErrorHandler();}
    protected AppLauncher buildAppLauncher()            {return new Impl_AppLauncher(this);}
}
